Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.mbeans
Interface AdContentProviderMBean

public interface AdContentProviderMBean
extends ServiceConfigurationMBean

An MBean for configuring an AdContentProvider, which is a renderer for the placeholder/ad service.

These should be children of an `AdServiceMBean`. The Name of the AdContentProviderMBean should correspond to either the complete mimeType (e.g. image/gif), the major portion of a mimeType (e.g. image), or "default" to configure the default rendering for mimeType not specified as AdContentProviderMBeans.

Fields inherited from class weblogic.management.configuration.ConfigurationMBean
`CACHING_STUB_SVUID`

Method Summary
`java.util.Properties` | `getProperties()` Get the AdContentProvider configuration properties.
`java.lang.String` | `getProvider()` Get the AdContentProvider class name.
`void` | `setProperties(java.util.Properties p)` Set the AdContentProvider configuration properties.
`void` | `setProvider(java.lang.String clName)` Set the AdContentProvider class name.

Methods inherited from interface weblogic.management.configuration.ConfigurationMBean
`addLinkMbeanAttribute, getAttributeStringValue, getNotes, getSetFields, getXml, getXmlConverter, isPersistenceEnabled, setNotes, setPersistenceEnabled`

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getName, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setName, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preDeregister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Method Detail

### getProvider

    public java.lang.String getProvider()

  Get the AdContentProvider class name.

  Old Property: adtargettag.rendering.[mime.type]

### setProvider

    public void setProvider(java.lang.String clName)

  Set the AdContentProvider class name.

  Old Property: adtargettag.rendering.[mime.type]
  Legal NULL: false

### getProperties

    public java.util.Properties getProperties()

  Get the AdContentProvider configuration properties.

### setProperties

    public void setProperties(java.util.Properties p)

  Set the AdContentProvider configuration properties.

  Legal NULL: true

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved